<?php

function analizza_GET($parametro)
{
	if(isset($_GET[$parametro]))
	{

		$misura = $_GET[$parametro];
		$tipo_misura = "";
		switch($misura)
		{
			case 'caratteristiche':
				$tipo_misura = 'per 100 famiglie con le stesse caratteristiche';
				break;
			case 'migliaia':
				$tipo_misura = 'valori in migliaia'; 
				break;
			default:
				$tipo_misura = $misura;
		}
		return $tipo_misura;
	}
	else
	{
		echo json_encode(
			array(	"status" => "error",
			"dettagli" => "parametro $parametro mancante") 
		);
		exit(1);
	}	
}

function esegui_query($sql, $campi, $is_associative=true)
{
	include('config.php');
	$risultato = select($conn,$sql);

	$return = array();
	$is_prima = true;
	for($i = 0; $i < count($risultato); $i++)
	{
		foreach($campi as $chiave => $formato)
		{
			if(isset($risultato[$i][$chiave]))
				$risultato[$i][$chiave] = $formato($risultato[$i][$chiave]);
		}
		if($is_associative)
			$return[] = $risultato[$i];
		else
		{
			$prima_riga = array();
			
			$riga = array();
			foreach($risultato[$i] as $chiave => $valore)
			{
				if($is_prima)
					$prima_riga[] = $chiave;
				$riga[] = $valore;
			}
			if($is_prima)
			{
				$return[] = $prima_riga;
				$is_prima = false;
			}
			$return[] = $riga;
		}
					
	}
	
	closeDB($conn);

	return json_encode($return);
}
?>